Uploaded image for project: 'Okapi'
  1. Okapi
  2. OKAPI-987

Modules require does not seem to take into account optional dependencies

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: TBD
    • Resolution: Done
    • Affects Version/s: 4.6.4
    • Fix Version/s: 4.7.0
    • Labels:
      None
    • Template:
      Standard Bug Write-Up Format
    • Sprint:
      CP: sprint 108
    • Story Points:
      2
    • Development Team:
      Core: Platform

      Description

      Marc Johnson reports:

      I was experimenting and tried the following `https://folio-snapshot-okapi.dev.folio.org/_/proxy/tenants/diku/modules?require=copycat-imports` which I expect to include UI inventory because that optionally requires it and is enabled.
      I wasn’t sure what the expected behaviour was. This request responds with no modules for me.

        TestRail: Results

          Attachments

            Activity

              People

              Assignee:
              adam Adam Dickmeiss
              Reporter:
              adam Adam Dickmeiss
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  TestRail: Runs

                    TestRail: Cases